varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform highp vec2 center;
uniform highp float radius;
uniform highp float aspectRatio;
uniform highp float refractiveIndex;
uniform mediump float topMargin;
uniform mediump float refractPosition;
void main()
{
highp float radius2 = 0.45;
highp vec2 textureCoordinateToUse = vec2(textureCoordinate.x, (textureCoordinate.y * aspectRatio + 0.5 - 0.5 * aspectRatio));
highp float distanceFromCenter = distance(textureCoordinateToUse, center);
lowp float checkForPresenceWithinSphere = smoothstep(radius2, radius2 - 0.02, distanceFromCenter);
distanceFromCenter = distanceFromCenter / radius2;
highp float normalizedDepth = radius2 * sqrt(1.0 - distanceFromCenter * distanceFromCenter);
highp vec3 sphereNormal = normalize(vec3(textureCoordinateToUse - center, normalizedDepth));
highp vec3 refractedVector = 2.0 * refract(vec3(0.0, 0.0, refractPosition), sphereNormal, refractiveIndex);
refractedVector.xy = -refractedVector.xy;
highp vec2 convertedVec2 = (refractedVector.xy + 1.0) * 0.5;

highp vec3 finalSphereColor = texture2D(inputImageTexture, convertedVec2).rgb;
gl_FragColor = vec4(finalSphereColor * checkForPresenceWithinSphere, 1.0);

//highp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
//highp vec4 sum = vec4(1.0, 0.0, 0.0, 1.0);
//highp vec4 sum2 = vec4(0.0, 1.0, 0.0, 1.0);
//if(textureCoordinate.y < 0.2) {
//sum += textureColor;
//} else {
//sum = textureColor;
//}
//gl_FragColor = sum;


}