package com.cyworld.common.crypto

import android.content.Context
import android.graphics.Bitmap
import android.graphics.BitmapFactory
import com.cyworld.cymera.ItemManager
import java.io.File
import java.io.FileInputStream
import java.io.IOException
import java.io.InputStream

class CryptoUtil {
    companion object {
        /** 이건는 일단 암호화 파일 decode 해보구
         * 안되먄 일반 bitmap decode 함 */
        @JvmStatic
        fun decode(context: Context?, path: String?, isAssets: Boolean, opts: BitmapFactory.Options?): Bitmap? {
            if (path == null) {
                return null
            }

            var bitmap: Bitmap?
            if (isAssets) {
                bitmap = decodeBitmapCrypto(getAssetFileInputStream(context, path))
                if (bitmap != null) {
                    return bitmap
                }

                bitmap = decodeBitmapNoCrypto(getAssetFileInputStream(context, path), opts)
            } else {
                bitmap = decodeBitmapCrypto(path)
                if (bitmap != null) {
                    return bitmap
                }

                val fileInputStream = FileInputStream(File(path))
                bitmap = decodeBitmapNoCrypto(fileInputStream, opts)
            }

            return bitmap
        }

        @JvmStatic
        fun decode(context: Context?, path: String?, opts: BitmapFactory.Options?): Bitmap? {
            if (path == null) {
                return null
            }

            if (path.contains(ItemManager.ASSETS_ROOT)) {
                return decode(context, path.replace(ItemManager.ASSETS_ROOT, ""), true, opts)
            } else {
                return decode(context, path, false, opts)
            }
        }

        private fun decodeBitmapCrypto(inputStream: InputStream?): Bitmap? {
            if (inputStream != null) {
                try {
                    return CryptoAES128.getDecodedBitmap(inputStream)
                } catch (e: Throwable) {
                } finally {
                }
            }
            return null
        }

        private fun decodeBitmapCrypto(path: String?): Bitmap? {
            if (path != null) {
                try {
                    return CryptoAES128.getDecodedBitmap(path)
                } catch (e: Throwable) {
                } finally {
                }
            }
            return null
        }

        private fun decodeBitmapNoCrypto(inputStream: InputStream?, opts: BitmapFactory.Options?): Bitmap? {
            if (inputStream != null) {
                try {
                    return ItemManager.ResourceItem.decodeStream(inputStream, opts)
                } catch (e: Throwable) {
                } finally {
                    try {
                        inputStream.close()
                    } catch (e: IOException) {
                    }
                }
            }
            return null
        }

        private fun getAssetFileInputStream(context: Context?, assetPath: String): InputStream? {
            try {
                return context?.assets?.open(assetPath)
            } catch (e: Exception) {
            }

            return null
        }

    }
}