package com.cyworld.cymera

import android.content.Context
import android.util.Log
import java.util.*

object ItemManagerPreload {

    class PreloadData(var setId: Int, var itemId: Int, var files: Array<String>)

    /**
     * jychoi, 2019.03.20 아이템 내재화 했는데 앱 동작이 안됨
     * 저 사양 단말에서(키켓급)에서 getAssets()의 성능이 심각하게 느려서
     * \assets\add_sets폴더를 순회 하는데 걸리는 시간이 10여분 이상 걸리기도 함
     * 그래서 물리적인 getAssets()의 시간을 줄이기 위해 미리 한 번 돌려 놓고자 함
     * add_sets폴더의 내용이 바뀌면 이걸 한번 돌리고
     * 결과 값을 getPreloadDataList()쪽으로 복붙해주면 됨
     */
    @JvmStatic
    fun makePreloadScript(context: Context): String? {
        try {
            var checkCount = 0
            var resultJavaCode = "val list = ArrayList<PreloadData>()"
            val addSets = context.assets.list(ItemManager.ASSETS_ITEM_ROOT) ?: return null

            for (addSet in addSets) {
                val items = context.assets.list(ItemManager.ASSETS_ITEM_ROOT + "/" + addSet)
                // 이건 폴더다
                if (items == null || items.isEmpty()) {
                    continue
                }

                for (item in items) {
                    val fileList = context.assets.list(ItemManager.ASSETS_ITEM_ROOT + "/" + addSet + "/" + item)
                    // 이건 폴더다
                    if (fileList == null || fileList.isEmpty()) {
                        continue
                    }

                    var filess = ""
                    var isFirst = true
                    for (s in fileList) {
                        if (isFirst) {
                            filess += "\"" + s + "\""
                            isFirst = false
                        } else {
                            filess += ", \"$s\""
                        }
                    }

                    checkCount++
                    resultJavaCode += "\nlist.add(PreloadData(${Integer.valueOf(addSet)}, $item, arrayOf($filess)))"
                }
            }

            Log.e("ItemManagerPreload", "ItemManagerPreload checkCount: $checkCount")
            Log.e("ItemManagerPreload", "ItemManagerPreload resultJavaCode: $resultJavaCode")

            resultJavaCode += "\nreturn list"
            return resultJavaCode
        } catch (e: Exception) {
            e.printStackTrace()
        }

        return null
    }

    /**
     * jychoi, 2019.03.20 아이템 내재화 했는데 앱 동작이 안됨
     * getPreloadDataList() 메소드는 makePreloadScript()를 통해서 생선된 코드임
     */
    @JvmStatic
    val preloadDataList: ArrayList<PreloadData>
        get() {
            val list = ArrayList<PreloadData>()
            list.add(PreloadData(1572, 1572001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572025, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572026, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1572, 1572027, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582001, arrayOf("info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582002, arrayOf("info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582003, arrayOf("info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582004, arrayOf("hair.cmi", "info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582005, arrayOf("hair.cmi", "info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582006, arrayOf("hair.cmi", "info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582007, arrayOf("hair.cmi", "info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582008, arrayOf("hair.cmi", "info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582009, arrayOf("hair.cmi", "info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582010, arrayOf("hair.cmi", "info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(1582, 1582011, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589001, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589002, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589003, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589004, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589005, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589006, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589007, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589008, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589009, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589010, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589011, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589012, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589013, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1589, 1589014, arrayOf("info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(1606, 1606001, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1606, 1606002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1606, 1606003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1606, 1606004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1606, 1606005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1606, 1606006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1607, 1607001, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1607, 1607002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1607, 1607003, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1607, 1607004, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1609, 1609001, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1609, 1609002, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1609, 1609003, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610001, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610005, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610006, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610007, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610008, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610009, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1610, 1610010, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611001, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611002, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611003, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611004, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611005, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611006, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611007, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1611, 1611008, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(1613, 1613001, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613002, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613003, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613004, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613005, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613006, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613007, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613008, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613009, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613010, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613011, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613012, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613013, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613014, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613015, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613016, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613017, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613018, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613019, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613020, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1613, 1613021, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1746, 1746001, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1746, 1746002, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1746, 1746003, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1746, 1746004, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1746, 1746005, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1746, 1746006, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1746, 1746007, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(1748, 1748001, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748002, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748003, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748004, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748005, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748006, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748007, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748008, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748009, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748010, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748011, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748012, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1748, 1748013, arrayOf("info.xml", "left-eye.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(1863, 1863001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1863, 1863024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1951, 1951016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956025, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956026, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956027, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956028, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956029, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956030, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956031, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956032, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956033, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956034, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956035, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1956, 1956036, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957025, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957026, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957027, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957028, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957029, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957030, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957031, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957032, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957033, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957034, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957035, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957036, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957037, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957038, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957039, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957040, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957041, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(1957, 1957042, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2004, 2004001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2004, 2004002, arrayOf("info.xml", "nature.cmi", "on.cmi")))
            list.add(PreloadData(2004, 2004003, arrayOf("grey.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2004, 2004004, arrayOf("black.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2004, 2004005, arrayOf("info.xml", "on.cmi", "soft.cmi")))
            list.add(PreloadData(2004, 2004006, arrayOf("info.xml", "on.cmi", "point.cmi")))
            list.add(PreloadData(2004, 2004007, arrayOf("info.xml", "on.cmi", "pale.cmi")))
            list.add(PreloadData(2004, 2004008, arrayOf("fade.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2004, 2004009, arrayOf("info.xml", "on.cmi", "warm.cmi")))
            list.add(PreloadData(2004, 2004010, arrayOf("cool.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2004, 2004011, arrayOf("heavy.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005002, arrayOf("illusion.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005003, arrayOf("crush.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005004, arrayOf("holic.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005005, arrayOf("info.xml", "on.cmi", "syndrome.cmi")))
            list.add(PreloadData(2005, 2005006, arrayOf("acid.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005007, arrayOf("info.xml", "on.cmi", "sexy.cmi")))
            list.add(PreloadData(2005, 2005008, arrayOf("cherry.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005009, arrayOf("info.xml", "on.cmi", "woobaby.cmi")))
            list.add(PreloadData(2005, 2005010, arrayOf("heaven.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2005, 2005011, arrayOf("fatal.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2013, 2013001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2013, 2013002, arrayOf("info.xml", "on.cmi", "seoul.cmi")))
            list.add(PreloadData(2013, 2013003, arrayOf("info.xml", "madrid.cmi", "on.cmi")))
            list.add(PreloadData(2013, 2013004, arrayOf("info.xml", "on.cmi", "paris.cmi")))
            list.add(PreloadData(2013, 2013005, arrayOf("info.xml", "on.cmi", "tokyo.cmi")))
            list.add(PreloadData(2013, 2013006, arrayOf("info.xml", "newyork.cmi", "on.cmi")))
            list.add(PreloadData(2013, 2013007, arrayOf("info.xml", "on.cmi", "rio.cmi")))
            list.add(PreloadData(2013, 2013008, arrayOf("helsinki.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2013, 2013009, arrayOf("berlin.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2013, 2013010, arrayOf("info.xml", "london.cmi", "on.cmi")))
            list.add(PreloadData(2013, 2013011, arrayOf("antwerp.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2014, 2014001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2014, 2014002, arrayOf("everyday.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2014, 2014003, arrayOf("info.xml", "lumiere.cmi", "on.cmi")))
            list.add(PreloadData(2014, 2014004, arrayOf("info.xml", "on.cmi", "sparkle.cmi")))
            list.add(PreloadData(2014, 2014005, arrayOf("aquabomb.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2014, 2014006, arrayOf("info.xml", "loveit.cmi", "on.cmi")))
            list.add(PreloadData(2014, 2014007, arrayOf("info.xml", "on.cmi", "snow.cmi")))
            list.add(PreloadData(2014, 2014008, arrayOf("info.xml", "on.cmi", "richgirl.cmi")))
            list.add(PreloadData(2014, 2014009, arrayOf("info.xml", "on.cmi", "youliar.cmi")))
            list.add(PreloadData(2014, 2014010, arrayOf("info.xml", "on.cmi", "sensual.cmi")))
            list.add(PreloadData(2014, 2014011, arrayOf("info.xml", "on.cmi", "velvet.cmi")))
            list.add(PreloadData(2015, 2015001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2015, 2015002, arrayOf("babybaby.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2015, 2015003, arrayOf("coco.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2015, 2015004, arrayOf("chloe.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2015, 2015005, arrayOf("5am.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2015, 2015006, arrayOf("dressme.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2015, 2015007, arrayOf("info.xml", "musk.cmi", "on.cmi")))
            list.add(PreloadData(2015, 2015008, arrayOf("info.xml", "on.cmi", "rosepink.cmi")))
            list.add(PreloadData(2015, 2015009, arrayOf("info.xml", "on.cmi", "orchid.cmi")))
            list.add(PreloadData(2015, 2015010, arrayOf("info.xml", "noir.cmi", "on.cmi")))
            list.add(PreloadData(2015, 2015011, arrayOf("dreaming.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2017, 2017001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2017, 2017002, arrayOf("info.xml", "on.cmi", "white.cmi")))
            list.add(PreloadData(2017, 2017003, arrayOf("info.xml", "on.cmi", "sadpink.cmi")))
            list.add(PreloadData(2017, 2017004, arrayOf("falling.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2017, 2017005, arrayOf("info.xml", "on.cmi", "warm.cmi")))
            list.add(PreloadData(2017, 2017006, arrayOf("info.xml", "likefilm.cmi", "on.cmi")))
            list.add(PreloadData(2017, 2017007, arrayOf("info.xml", "khaki.cmi", "on.cmi")))
            list.add(PreloadData(2017, 2017008, arrayOf("info.xml", "joyful.cmi", "on.cmi")))
            list.add(PreloadData(2017, 2017009, arrayOf("blueday.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2017, 2017010, arrayOf("info.xml", "moody.cmi", "on.cmi")))
            list.add(PreloadData(2017, 2017011, arrayOf("ice.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018002, arrayOf("glad.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018003, arrayOf("amusing.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018004, arrayOf("bubbly.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018005, arrayOf("info.xml", "on.cmi", "pitapat.cmi")))
            list.add(PreloadData(2018, 2018006, arrayOf("info.xml", "lol.cmi", "on.cmi")))
            list.add(PreloadData(2018, 2018007, arrayOf("awesome.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018008, arrayOf("fabulous.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018009, arrayOf("flyhigh.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018010, arrayOf("cheerful.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2018, 2018011, arrayOf("happy.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2039, 2039001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2039, 2039024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2063, 2063024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081025, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081026, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081027, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2081, 2081028, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2118, 2118012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2120, 2120024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2126, 2126024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2130, 2130012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2131, 2131008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2134, 2134024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2148, 2148024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2151, 2151001, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2151, 2151002, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2151, 2151003, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2151, 2151004, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154025, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154026, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154027, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2154, 2154028, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2156, 2156024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2157, 2157016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2164, 2164001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164002, arrayOf("Fluffy.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164003, arrayOf("Clean.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164004, arrayOf("Soft.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164005, arrayOf("Dreamy.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164006, arrayOf("Tender.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164007, arrayOf("Cozy.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164008, arrayOf("Smooth.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164009, arrayOf("Pure.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164010, arrayOf("Faint.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2164, 2164011, arrayOf("Meek.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2191, 2191001, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2191, 2191002, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2191, 2191003, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2191, 2191004, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2196, 2196024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2211, 2211012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2215, 2215008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2223, 2223008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2232, 2232016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2238, 2238012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308001, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308002, arrayOf("info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308003, arrayOf("info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308004, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308005, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308006, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308007, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308008, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308009, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308010, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308011, arrayOf("info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308012, arrayOf("info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308013, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308014, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308015, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308016, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308017, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308018, arrayOf("info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308019, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308020, arrayOf("info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308021, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308022, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2308, 2308023, arrayOf("info.xml", "mouth.cmi", "on.cmi")))
            list.add(PreloadData(2308, 2308024, arrayOf("eyes.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2310, 2310001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2310, 2310002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2310, 2310011, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2313, 2313024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2314, 2314002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2314, 2314011, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2315, 2315002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2315, 2315011, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2316, 2316024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2328, 2328024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2343, 2343001, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2343, 2343002, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2343, 2343003, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2343, 2343004, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2343, 2343005, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2343, 2343006, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2347, 2347001, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2347, 2347002, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2347, 2347003, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2347, 2347004, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2347, 2347005, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2347, 2347006, arrayOf("01.cmi", "02.cmi", "03.cmi", "04.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(2626, 2626001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(2626, 2626002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2626, 2626011, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701001, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701011, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2701, 2701012, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708001, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708002, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708003, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708004, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708005, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708006, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708007, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708008, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708009, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708010, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708011, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2708, 2708012, arrayOf("info.xml", "item1.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(2985, 2985008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3056, 3056012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3137, 3137001, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137002, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137003, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137004, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137005, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137006, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137007, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137008, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137009, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3137, 3137010, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3138, 3138001, arrayOf("eyes.cmi", "hair.cmi", "info.xml", "left-cheek.cmi", "nose.cmi", "on.cmi", "right-cheek.cmi")))
            list.add(PreloadData(3138, 3138002, arrayOf("hair.cmi", "info.xml", "left-eye.cmi", "nose.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(3138, 3138003, arrayOf("hair.cmi", "info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(3138, 3138004, arrayOf("hair.cmi", "info.xml", "left-cheek.cmi", "left-eye.cmi", "mouth.cmi", "nose.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(3138, 3138005, arrayOf("hair.cmi", "info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(3138, 3138006, arrayOf("hair.cmi", "info.xml", "nose.cmi", "on.cmi")))
            list.add(PreloadData(3138, 3138007, arrayOf("hair.cmi", "info.xml", "mouth.cmi", "nose.cmi", "on.cmi")))
            list.add(PreloadData(3138, 3138008, arrayOf("hair.cmi", "info.xml", "left-eye.cmi", "nose.cmi", "on.cmi", "right-eye.cmi")))
            list.add(PreloadData(3205, 3205001, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205011, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3205, 3205012, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3206, 3206001, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206002, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206003, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206004, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206005, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206006, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206007, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206008, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206009, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206010, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206011, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206012, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206013, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206014, arrayOf("hair.cmi", "info.xml", "on.cmi", "right-cheek.cmi")))
            list.add(PreloadData(3206, 3206015, arrayOf("hair.cmi", "info.xml", "on.cmi")))
            list.add(PreloadData(3206, 3206016, arrayOf("hair.cmi", "info.xml", "on.cmi", "right-cheek.cmi")))
            list.add(PreloadData(3212, 3212001, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212002, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212003, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212004, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212005, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212006, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212007, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212008, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212009, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212010, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212011, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212012, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212013, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212014, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212015, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212016, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212017, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212018, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212019, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212020, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212021, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212022, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212023, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212024, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212025, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212026, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212027, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212028, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212029, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212030, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212031, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212032, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212033, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212034, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212035, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212036, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212037, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212038, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212039, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3212, 3212040, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218001, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3218, 3218010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3226, 3226020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3228, 3228012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229025, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229026, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229027, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229028, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229029, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229030, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229031, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3229, 3229032, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241001, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241002, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241003, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241004, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241005, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241006, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241007, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241008, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241009, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241010, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241011, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241012, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241013, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241014, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241015, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241016, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241017, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241018, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241019, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241020, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241021, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241022, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241023, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241024, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241025, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241026, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241027, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241028, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241029, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241030, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241031, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3241, 3241032, arrayOf("info.xml", "item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253025, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253026, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253027, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3253, 3253028, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254001, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254002, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254003, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254004, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254005, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254006, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254007, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254008, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254009, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254010, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254011, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254012, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254013, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254014, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254015, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3254, 3254016, arrayOf("info.xml", "item1.cmi", "item2.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256021, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256022, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256023, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3256, 3256024, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258001, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258002, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258003, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258004, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258005, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258006, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258007, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258008, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258009, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258010, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258011, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258012, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258013, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258014, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258015, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258016, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258017, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258018, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258019, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3258, 3258020, arrayOf("item.cmi", "on.cmi")))
            list.add(PreloadData(3261, 3261001, arrayOf("info.xml", "on.cmi")))
            list.add(PreloadData(3261, 3261002, arrayOf("info.xml", "on.cmi", "secret1.cmi")))
            list.add(PreloadData(3261, 3261003, arrayOf("info.xml", "on.cmi", "secret2.cmi")))
            list.add(PreloadData(3261, 3261004, arrayOf("info.xml", "on.cmi", "secret3.cmi")))
            list.add(PreloadData(3261, 3261005, arrayOf("info.xml", "on.cmi", "secret4.cmi")))
            list.add(PreloadData(3261, 3261006, arrayOf("info.xml", "on.cmi", "secret5.cmi")))
            list.add(PreloadData(3261, 3261007, arrayOf("info.xml", "on.cmi", "secret6.cmi")))
            list.add(PreloadData(3261, 3261008, arrayOf("info.xml", "on.cmi", "secret7.cmi")))
            list.add(PreloadData(3261, 3261009, arrayOf("info.xml", "on.cmi", "secret8.cmi")))
            list.add(PreloadData(3261, 3261010, arrayOf("info.xml", "on.cmi", "secret9.cmi")))
            list.add(PreloadData(3261, 3261011, arrayOf("info.xml", "on.cmi", "secret10.cmi")))
            return list
        }
}