package com.cyworld.cymera.sns.itemshop.common

import com.cyworld.cymera.ItemManager

class LocalDbUtils {
    companion object {
        private const val DB_PRODUCT = "cymera/item/"
        private const val DB_CATEGORY = "cymera/categoryImg/"
        private const val ASSET_PRODUCT = ItemManager.ASSETS_ROOT + "db_productImg/"
        private const val ASSET_CATEGORY = ItemManager.ASSETS_ROOT + "db_categoryImg/"

        /**
         * 원래 서버 http로 내려 주던 image들을
         * Local Asset으로 내장하려고 경로를 바꿔주는 것임
         */
        @JvmStatic
        fun getLocalAssetsPath(url: String?): String? {
            url?.let {
                // productImg
                if (it.contains(DB_PRODUCT)) {
                    return ASSET_PRODUCT + removeEnd(removeFront(it, DB_PRODUCT))
                }

                // categoryImg
                if (it.contains(DB_CATEGORY)) {
                    return ASSET_CATEGORY + removeEnd(removeFront(it, DB_CATEGORY))
                }
            }

            return url
        }

        fun removeFront(url: String, target: String): String {
            val start = url.lastIndexOf(target)
            return url.substring(start + target.length);
        }

        fun removeEnd(url: String): String {
            val start = url.indexOf("?update=")
            return url.substring(0, start);
        }
    }
}